#ifndef DOS_PIPE_SUPPORT
#define DOS_PIPE_SUPPORT

/* Always use DJGPP's implementations of these functions.
   In a sequence of headers, this header must be included as last! */


#if (DOS_PIPE_DEBUG - 1) == 0
extern char *bash_script_command_line;
extern const char *bash_script_name;
extern int bash_script_line_number;
#endif /* DOS_PIPE_DEBUG */


void remove_pipe(int fd);

#undef  close
#define close rpl_close
int rpl_close(int fd);

#undef  pipe
#define pipe rpl_pipe
int rpl_pipe(int fds[2]);

#endif /* DOS_PIPE_SUPPORT */
